List an Event's Attachments

GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/events/{event_id}/attachments/

Retrieve a list of attachments uploaded for a given event.

Requires the event-attachments organization feature.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to.

event_id (string)
REQUIRED

The ID of the event. It is a 32-character hexadecimal string as reported by the client.

Query Parameters:

query (string)

Filter the attachments by name (substring match) or by attachment kind. Use is:screenshot to restrict the results to screenshot attachments.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

Scopes

<auth_token> requires one of the following scopes:
  • project:admin
  • project:read
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/events/{event_id}/attachments/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
[ { "id": "1234", "event_id": "9b29bbe17e9d4ee3a6d0fe9b2e8a3b1c", "type": "event.attachment", "name": "screenshot.png", "mimetype": "image/png", "dateCreated": "2026-04-15T18:22:31Z", "size": 248137, "headers": { "Content-Type": "image/png" }, "sha1": "d3f299af02d6abbe92dd8368bab781824a9702ed" }, { "id": "1235", "event_id": "9b29bbe17e9d4ee3a6d0fe9b2e8a3b1c", "type": "event.view_hierarchy", "name": "view-hierarchy.json", "mimetype": "application/json", "dateCreated": "2026-04-15T18:22:31Z", "size": 8421, "headers": { "Content-Type": "application/json" }, "sha1": "fa0a5fad9e64129f6b5f60cca3a5b8c9b8a1a3a0" } ]
Was this helpful?